| GET | /RestApi/markup/keys/{StrategyKey} |
|---|
using System;
using System.IO;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using ServiceStack;
using ServiceStack.DataAnnotations;
using Telerik.Sitefinity.Web.Compilation.Model;
namespace Telerik.Sitefinity.Web.Compilation.Model
{
public partial class PageKeyRequest
{
public virtual string StrategyKey { get; set; }
}
public partial class TemplateKeyResponse
{
public virtual IEnumerable<string> Keys { get; set; }
}
}
To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
GET /RestApi/markup/keys/{StrategyKey} HTTP/1.1
Host: www.imglobal.com
Accept: text/jsonl
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length
{Unable to show example output for type 'TemplateKeyResponse' using the custom 'other' filter}No parameterless constructor defined for this object.